Bug 1491310 - Smart state analysis on a running vm on Azure doesn't work
Summary: Smart state analysis on a running vm on Azure doesn't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Jerry Keselman
QA Contact: Satyajit Bulage
URL:
Whiteboard: azure:ssa
Depends On: 1463780
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-13 13:36 UTC by Satoe Imaishi
Modified: 2017-10-24 00:41 UTC (History)
8 users (show)

Fixed In Version: 5.8.2.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1463780
Environment:
Last Closed: 2017-10-24 00:41:44 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-09-13 13:43:39 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/8d71d0a2895df66ae6d02c0a99eb3c1fb5493a98

commit 8d71d0a2895df66ae6d02c0a99eb3c1fb5493a98
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Tue Sep 12 14:02:44 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Sep 13 09:41:55 2017 -0400

    Merge pull request #122 from jerryk55/nonmanaged_disk_snapshot_support
    
    Snapshot Blob Disks for SSA
    (cherry picked from commit 29116cc956ae80790e14be488059dc0200770ec6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491310

 .../manageiq/providers/azure/cloud_manager.rb      | 87 +++++++++++++++-------
 .../azure/cloud_manager/vm_or_template_shared.rb   | 48 +++++++++++-
 .../vm_or_template_shared/scanning.rb              | 14 +---
 3 files changed, 109 insertions(+), 40 deletions(-)

Comment 3 CFME Bot 2017-09-13 13:43:45 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/3ff4035f4b8da8cd5798bd598587c46eb0d95484

commit 3ff4035f4b8da8cd5798bd598587c46eb0d95484
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Mon Sep 11 16:05:31 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Sep 13 09:39:54 2017 -0400

    Merge pull request #26 from jerryk55/snapshot_nonmanaged_disks
    
    Snapshot Support for Non-Managed Disks
    (cherry picked from commit 0c525af5d9a6f478193b182d3f5932df6c1a59e2)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491310

 lib/gems/pending/MiqVm/miq_azure_vm.rb                 |  7 ++++---
 spec/miq_vm/miq_azure_vm_image_spec.rb                 | 18 ++++++++++--------
 spec/miq_vm/miq_azure_vm_instance_spec.rb              |  3 ++-
 .../test_env/config/miq_vm/miq_azure_vm_image_spec.yml |  1 +
 4 files changed, 17 insertions(+), 12 deletions(-)

Comment 4 CFME Bot 2017-09-13 13:51:49 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/d35213f41fa88eb88d5be7ceb2e0224b7114375b

commit d35213f41fa88eb88d5be7ceb2e0224b7114375b
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Tue Sep 12 14:42:07 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Sep 13 09:49:25 2017 -0400

    Merge pull request #15960 from jerryk55/snapshot_nonmanaged_disks
    
    Snapshot Support for Non-Managed Disks SSA
    (cherry picked from commit fd7db95d3a4202f048d46d48cc247561f373e908)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491310

 app/models/vm_scan.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 5 CFME Bot 2017-09-14 20:38:18 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/26ddc4fb61cfdaa1fcb697c47b23da2216ed3b02

commit 26ddc4fb61cfdaa1fcb697c47b23da2216ed3b02
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Thu Sep 14 16:18:51 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Sep 14 16:25:18 2017 -0400

    Merge pull request #125 from jerryk55/wait_for_snapshot_success
    
    Wait for SSA Snapshot Success
    (cherry picked from commit 9217377b32db9ad7251b30cba442ff8a0e0fb305)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1488967
    https://bugzilla.redhat.com/show_bug.cgi?id=1491310

 app/models/manageiq/providers/azure/cloud_manager.rb | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Comment 7 CFME Bot 2017-09-15 21:18:15 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/6160a41e26d3e5c9bb64c3bddc314aa895684d78

commit 6160a41e26d3e5c9bb64c3bddc314aa895684d78
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Fri Sep 15 17:05:25 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Sep 15 17:11:55 2017 -0400

    Merge pull request #126 from roliveri/snapshots
    
    Changes to wait for snapshot completion.
    (cherry picked from commit 2ecc27f6a81c6c9477e7aed2fd2979cfa322195a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1491310
    https://bugzilla.redhat.com/show_bug.cgi?id=1488967

 app/models/manageiq/providers/azure/cloud_manager.rb | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

Comment 10 Satyajit Bulage 2017-09-27 15:14:10 UTC
Performed Smart State Analysis on RHEL VM in Power ON and Power OFF state, in both case it retrieves information from VM/Instance.

Verified Version: 5.8.2.1.20170925150507_8770490

Comment 12 errata-xmlrpc 2017-10-24 00:41:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.